Bug 143854 - FILESAVE: Empty bullet added when saving from PPT to ODP
Summary: FILESAVE: Empty bullet added when saving from PPT to ODP
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
7.3.0.0 alpha0+ Master
Hardware: All All
: high major
Assignee: Not Assigned
URL:
Whiteboard: target:7.3.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2021-08-13 09:49 UTC by Xisco Faulí
Modified: 2021-09-14 11:26 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
sample file (186.50 KB, application/vnd.ms-powerpoint)
2021-08-13 09:49 UTC, Xisco Faulí
Details
sample file 2 (47.00 KB, application/vnd.ms-powerpoint)
2021-08-13 09:53 UTC, Xisco Faulí
Details
sample file 3 (44.00 KB, application/vnd.ms-powerpoint)
2021-08-13 09:53 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2021-08-13 09:49:21 UTC
Created attachment 174246 [details]
sample file

Steps to reproduce:
1. Open attached document
2. Save is as ODP
3. Open the new generated document

-> it has an extra bullet at the bottom of the bullet list

Reproduced in

Version: 7.3.0.0.alpha0+ / LibreOffice Community
Build ID: 6daf48b50e1ff3bdd6a9f948c3e267e76b8a89d3
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

[Bug found by office-interoperability-tools]
Comment 1 Xisco Faulí 2021-08-13 09:52:08 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=070a5b039b181c380b1b9724a015314ff78c30ed

author	Gokce Kuler <gokcekuler@gmail.com>	2021-07-05 01:02:59 +0300
committer	Gülşah Köse <gulsah.kose@collabora.com>	2021-07-07 08:21:20 +0200
commit	070a5b039b181c380b1b9724a015314ff78c30ed (patch)
tree	fba891d69e73803d620800b2dd3f79b2e0251005
parent	0759191e6923945469bc426b2c322ddeade12e09 (diff)
tdf#57585 Add new bullet behaviour to impress

Bisected with: bibisect-linux64-7.3

Adding Cc: to Gokce Kuler
Comment 2 Xisco Faulí 2021-08-13 09:53:11 UTC
Created attachment 174247 [details]
sample file 2
Comment 3 Xisco Faulí 2021-08-13 09:53:59 UTC
Created attachment 174248 [details]
sample file 3
Comment 4 Xisco Faulí 2021-08-13 09:54:41 UTC
I've just attached a file examples but I found many files are affected by this issue. Increasing importance
Comment 5 Xisco Faulí 2021-09-13 17:05:01 UTC
Still reproducible in

Version: 7.3.0.0.alpha0+ / LibreOffice Community
Build ID: e7a40c0ded1ba26b6b8f3da5a0b894e9c7ee7a96
CPU threads: 4; OS: Linux 5.10; UI render: default; VCL: gtk3
Locale: de-DE (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 6 Commit Notification 2021-09-14 11:26:45 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/f09596c9dfa627f51c431dd32ae5953d55b867ee

tdf#143854: Revert "tdf#57585 Add new bullet behaviour to impress"

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.